org.apache.ignite.stream.kafka.connect.serialization

## Class CacheEventConverter

- java.lang.Object
- - org.apache.ignite.stream.kafka.connect.serialization.CacheEventConverter

- All Implemented Interfaces:
    org.apache.kafka.connect.storage.Converter

      public class CacheEventConverter
      extends Object
      implements org.apache.kafka.connect.storage.Converter

  `CacheEvent` converter for Connect API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheEventConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Map<String,?> map, boolean b)`
    `byte[]` | `fromConnectData(String topic, org.apache.kafka.connect.data.Schema schema, Object o)`
    `org.apache.kafka.connect.data.SchemaAndValue` | `toConnectData(String topic, byte[] bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheEventConverter

          public CacheEventConverter()

  - ### Method Detail

    - #### configure

          public void configure(Map<String,?> map,
                                boolean b)

      Specified by:
        `configure` in interface `org.apache.kafka.connect.storage.Converter`

    - #### fromConnectData

          public byte[] fromConnectData(String topic,
                                        org.apache.kafka.connect.data.Schema schema,
                                        Object o)

      Specified by:
        `fromConnectData` in interface `org.apache.kafka.connect.storage.Converter`

    - #### toConnectData

          public org.apache.kafka.connect.data.SchemaAndValue toConnectData(String topic,
                                                                            byte[] bytes)

      Specified by:
        `toConnectData` in interface `org.apache.kafka.connect.storage.Converter`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020